package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.obe.RequirementTargetMatrixDto;
import com.qmth.distributed.print.business.entity.ObeCultureProgramTarget;
import com.qmth.distributed.print.business.entity.ObeRequirementTargetMatrix;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 培养目标与毕业要求关系矩阵 服务类
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
public interface ObeRequirementTargetMatrixService extends IService<ObeRequirementTargetMatrix> {

    List<RequirementTargetMatrixDto> getMatrix(Long cultureProgramId);

    boolean saveMatrix(List<ObeRequirementTargetMatrix> obeRequirementTargetMatrixList);

    void updateMatrix(ObeCultureProgramTarget obeCultureProgramTarget);

    void removeMatrixByCondition(ObeRequirementTargetMatrix obeRequirementTargetMatrix);

    void copyByCultureProgramId(Long id, Long obeCultureProgramNewId, Map<Long, Long> targetIdMap, Map<Long, Long> requirementIdMap);
}
